//
//  IntroMenu.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 25/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__IntroMenu__
#define __GlobalGameJam15__IntroMenu__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class DungeonGame;

class IntroMenu : public Layer, ControlDelegate
{
public:
	IntroMenu(Game& game);
	virtual ~IntroMenu();
	
#pragma mark delegates
	
	virtual void didBecomeChild();
	virtual void didExitParent();
	
	virtual void controllerDidConnect(int controllerID){};
	virtual void controllerDidDisconnect(int controllerID){};
	virtual void controllerButtonPressBegan(int controller, SDL_GameControllerButton button);
	virtual void controllerButtonPressEnded(int controller, SDL_GameControllerButton button){};
	virtual void controllerAxisMoved(int controller, SDL_GameControllerAxis, Sint16 value){};
	virtual void keyboardPressBegan(SDL_Scancode key);
	virtual void keyboardPressEnded(SDL_Scancode key){};
	
protected:
	
	SpriteNode* _background;
};

#endif /* defined(__GlobalGameJam15__IntroMenu__) */
